<%@ page import="WebFlow.*" %>
<%@ page import="WebFlow.ContextManager.*" %>

<jsp:useBean id="parseXML" class="extensions.generic.parseXMLBean" scope="session"/>
<jsp:useBean id="storeInfo" class="extensions.generic.jobInfoBean" scope="session"/>
<jsp:useBean id="getfile" class="extensions.generic.GetFileBean" scope="session"/>
<jsp:setProperty name="getfile" property="rootDir" 
	value='<%= application.getRealPath("/WEB-INF/") %>' /> 
<%
	String userName=storeInfo.getTableVal("userName");
	ContextManager cm=ServerServlet.getContextManager(userName);
	String probName=storeInfo.getTableVal("probName");
	String sessionName=cm.getCurrentSessionProperty("Name");
	String shell=request.getParameter("shell");
	String queue=request.getParameter("queue");
	String walltime=request.getParameter("walltime");
	String NNodes=request.getParameter("NNodes");
   	String NumOfInParam = cm.getCurrentSessionProperty("NumInParams");
   	String NumOfOutFiles = cm.getCurrentSessionProperty("NumOutFiles");
	String NumOfInFiles=cm.getCurrentSessionProperty("NumInFiles");
	String NumOfOutParams=cm.getCurrentSessionProperty("NumOutParams");

	String[] inputpath = null;	
	String[] outputpath = null;
	String[] inputparams=null;
	String[] outputparams=null;

	String catinpath="",catoutpath="",catinparams="",catoutparams="";

	if (!NumOfInParam.equals("0")) {
	
	   inputparams=request.getParameterValues("inputparameter");
	   for(int i=0;i<inputparams.length;i++) catinparams+=inputparams[i]+"+";
	}		
	else catinparams = "null";

	if (!NumOfInFiles.equals("0")) {
	
	   inputpath=request.getParameterValues("inputpath");
	   for(int i=0;i<inputpath.length;i++) catinpath+=inputpath[i]+"+";
	}		
	else catinpath = "null";

	if (!NumOfOutFiles.equals("0")) {
	   outputpath=request.getParameterValues("outputpath");
	   for(int j=0;j<outputpath.length;j++) catoutpath+=outputpath[j]+"+";
	}
	else catoutpath = "null";

	if (!NumOfOutParams.equals("0")) {
	   outputparams=request.getParameterValues("outputparameter");
	   for(int j=0;j<outputparams.length;j++) catoutparams+=outputparams[j]+"+";
	}
	else catoutparams = "null";

	cm.setCurrentSessionProperty("shell",shell);
	cm.setCurrentSessionProperty("queue",queue);
	cm.setCurrentSessionProperty("walltime",walltime);
	cm.setCurrentSessionProperty("NNodes",NNodes);
	cm.setCurrentSessionProperty("inputParam",catinparams);
	cm.setCurrentSessionProperty("outputFiles",catoutpath);	
	cm.setCurrentSessionProperty("inputFiles",catinpath);
	cm.setCurrentSessionProperty("outputParams",catoutparams);
	
	//Setup the createScript bean and create the script.
	//Use a factory pattern here so that the queuing system
	//is determined by the user's selection.
	extensions.generic.createScript cjs=
		extensions.generic.scriptFactory.makeChild(cm.getCurrentSessionProperty("QueueType"),cm,userName);

	cjs.createFlagTable();
	cjs.createHeader();
	cjs.createCommands();
	cjs.writeScript();

	//Now grab the script and give the user a chance to edit it.
	String scriptString="";
	String probDir="Descriptors/users/JSPClient/"+userName+"/"+probName+"/"+sessionName;
	scriptString=getfile.fileToString(probDir+"/job.script");
%>
<html>
<head><title>Edit Script</title></head>
<body bgcolor="#f2fae4" background="/GOW/images/bg1x.jpg">
<center>
<h2>Submit Job</h2>
</center>
The following queue script has been created for you.  You can modify 
it if you wish.  When you are finished, click the "Update Script" button.  You
will then be able to run your job on the selected host 
using the "Submit Job" button on the tool bar.
<center>
<form name=scriptString method=POST action="/GOW/Generic/ReturnPage.jsp">
<textarea name=scriptString cols=40 rows=20>
<%= scriptString %>
</textarea>
</center>
<center>
<input type=submit name="submit" value="Update Script" >
</center>
</form>
</body>
</html>





