<%@ page import="WebFlow.*" %>
<%@ page import="WebFlow.ContextManager.*" %>
<%@ page import="java.util.*" %>

<jsp:useBean id="storeInfo" class="extensions.generic.jobInfoBean" scope="session"/>
<jsp:useBean id="parseXML" class="extensions.generic.parseXMLBean" scope="session"/>

<%
   String xmlpath = "/app/gateway/apache_1.3.12/htdocs/GOW/WEB-INF/src/generic/ApplDesc.xml";
   String userName=storeInfo.getTableVal("userName");
   String problemName=storeInfo.getTableVal("problemName");
   String sessionName=request.getParameter("sessionName");
  
   ContextManager cm=ServerServlet.getContextManager(userName);
   cm.selectSession(problemName,sessionName);
   parseXML.init(xmlpath);
   Vector machineNames=parseXML.getHostLists(cm.getCurrentSessionProperty("Code"));
%>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.75 [en] (X11; U; IRIX 6.5 IP32) [Netscape]">
<SCRIPT LANGUAGE="JavaScript">
function checkForm(form) {

	for(var k = 0; k < form.elements.length; k++) {
	  if(form.elements[k].value == "") {
		alert("Fill out ALL fields.")
		return false
	  }
	}
	return true
}
</SCRIPT>
<title>Job Script Review</title>
</head>
<body bgcolor="#f2fae4" background="/GOW/images/bg1x.jpg">

<center>
<h2>
Job Script Review </h2></center>
<form name="QueueParams" Method="POST" action="/GOW/Generic/reSubmitted.jsp" onSubmit="return checkForm(this)">
Please provide the following information needed to generate the job script.
<p><b><i>Code: </i></b><b><i></i></b>
<b><%= cm.getCurrentSessionProperty("Code") %> </b>
<input type="hidden" name=codeName value="<%= cm.getCurrentSessionProperty("Code") %>">

<p><b><i>Machine Name: </i></b><b><i></i></b>
<%
	String tmp1;
	String code = cm.getCurrentSessionProperty("MachineName");
        for(int j=0;j<machineNames.size();j++){ 
           tmp1=(String)machineNames.elementAt(j);
	   if(tmp1.equals(code)) {
%>      
                <br>
                <input type=radio name=machineName
                        value=<%= tmp1 %> CHECKED >
                                <%= tmp1 %> 

<%              
	   }
	   else {
%>
                <br>
                <input type=radio name=machineName
                        value=<%= tmp1 %>>
                                <%= tmp1 %> 
<%
	   }
        }
%>

<p><b><i>Shell:</i></b><b><i></i></b>
<%  String shellchecked = cm.getCurrentSessionProperty("shell");
    if(shellchecked.equals("/bin/csh/")) { 
%>
<input type=radio name=shell value="/bin/csh" CHECKED > /bin/csh
<input type=radio name=shell value="/bin/sh"> /bin/sh

<%  }
    else {
%>
<input type=radio name=shell value="/bin/csh" > /bin/csh
<input type=radio name=shell value="/bin/sh" CHECKED > /bin/sh
<%   }
%>

<p><b><i>Queue:</i></b><b><i></i></b>
<%  String queuechecked = cm.getCurrentSessionProperty("queue");
    if(queuechecked.equals("small")) { 
%>
<input type=radio name=queue value="small" CHECKED > small
<input type=radio name=queue value="medium"> medium
<input type=radio name=queue value="large"> large
<input type=radio name=queue value="default"> default

<%  }
    else if (queuechecked.equals("medium")) {
%>
<input type=radio name=queue value="small" > small
<input type=radio name=queue value="medium" CHECKED > medium
<input type=radio name=queue value="large"> large
<input type=radio name=queue value="default"> default

<%  }
    else if (queuechecked.equals("large")) {
%>
<input type=radio name=queue value="small" > small
<input type=radio name=queue value="medium" > medium
<input type=radio name=queue value="large" CHECKED > large
<input type=radio name=queue value="default"> default

<%  }
    else {
%>
<input type=radio name=queue value="small"> small
<input type=radio name=queue value="medium"> medium
<input type=radio name=queue value="large"> large
<input type=radio name=queue value="default" CHECKED > default

<%   }
%>

<p><b><i>Wall Time (hh:mm:ss):</i></b><b><i></i></b>
<input type=text name=walltime size=10 value="<%= cm.getCurrentSessionProperty("walltime") %>">
<p><b><i>Number of Nodes:</i></b><b><i></i></b>
<input type=text name=NNodes size=3 maxlength=3 value="<%= cm.getCurrentSessionProperty("NNodes") %>">

<p>The code you have selected takes <%= cm.getCurrentSessionProperty("NumInParams")%> input parameter(s).  These are the command line arguments.  
See the code documentation for details. 
<% 
	String slimit1 = cm.getCurrentSessionProperty("NumInParams");
	if (!slimit1.equals("0")) {
	  int limit1=Integer.parseInt(slimit1);
	  String inputparamList = cm.getCurrentSessionProperty("inputParam");
	  StringTokenizer st = new StringTokenizer(inputparamList,"+");

	  for(int i=0;i<limit1;i++) {
%>
<br>
Input Parameter:  
<input type=text name=inputparam size=25 maxlength=80 value="<%= st.nextToken() %>">
<br>
<%
	  }
	}
%>

<p> The following are the input files that you specified for the code.  
Please provide the location of the input file(s) on the remote host, 
<%= cm.getCurrentSessionProperty("MachineName") %>.
You can use the "Upload" button in the "Tools" area to transfer
your input file from your desktop to the remote host.
<br>&nbsp;

<% 
	String slimit2 = cm.getCurrentSessionProperty("NumInFiles");
	if (!slimit2.equals("0")) {
	  int limit2=Integer.parseInt(slimit2);
	  String inputpathList = cm.getCurrentSessionProperty("inputFiles");
	  StringTokenizer st = new StringTokenizer(inputpathList,"+");

	  for(int i=0;i<limit2;i++) {
%>
Input File:  
<input type=text name=inputpath size=25 maxlength=80 value="<%= st.nextToken() %>">
<br>

<%
	  }
	}
%>

The application requires <%= cm.getCurrentSessionProperty("NumOutParams") %> output parameter(s).  
<br>&nbsp;

<%
	String suplimit1 = cm.getCurrentSessionProperty("NumOutParams");
	if(!suplimit1.equals("0")) {
	   int uplimit1=Integer.parseInt(suplimit1);
	   String outputparamList = cm.getCurrentSessionProperty("outputParams");
	   StringTokenizer st1 = new StringTokenizer(outputparamList,"+");

	   for(int j=0;j<uplimit1;j++) {
%>
Output File: 
<input type=text name=outputparam size=25 maxlength=80 value="<%= st1.nextToken() %>">
<br>
<%
	   }
	}
%>

Finally, this application generates <%= cm.getCurrentSessionProperty("NumOutFiles") %> output file(s).  Please specify the full
path name of the directory on the HPC server where you would like this file
to be placed.  You can later download this file to your desktop with the 
"Download" button form the "Tools" area.
<br>&nbsp;

<%
	String suplimit2 = cm.getCurrentSessionProperty("NumOutFiles");
	if(!suplimit2.equals("0")) {
	   int uplimit2=Integer.parseInt(suplimit2);
	   String outputpathList = cm.getCurrentSessionProperty("outputFiles");
	   StringTokenizer st1 = new StringTokenizer(outputpathList,"+");

	   for(int j=0;j<uplimit2;j++) {
%>
Output File: 
<input type=text name=outputpath size=25 maxlength=80 value="<%= st1.nextToken() %>">
<br>
<%
	   }
	}
%>
<input type=submit name="submit" value="Commit Changes">
</form>
</body>
</html>







