<%@ page import="WebFlow.*" %>
<%@ page import="WebFlow.ContextManager.*" %>
<%@ page import="java.util.Date" %>

<jsp:useBean id="parseXML" class="extensions.generic.parseXMLBean" scope="session"/>
<jsp:useBean id="storeInfo" class="extensions.generic.jobInfoBean" scope="session"/>
<jsp:useBean id="getfile" class="extensions.generic.GetFileBean" scope="session"/>
<jsp:setProperty name="getfile" property="rootDir" 
	value='<%= application.getRealPath("/WEB-INF/") %>' /> 

<%
   	Date currentDate = new Date();
   	long time = currentDate.getTime(); 
   	String timestring = (new Long(time).toString());	
   	String sessionName = "session"+timestring;

	String userName=storeInfo.getTableVal("userName");
	ContextManager cm=ServerServlet.getContextManager(userName);
   	cm.addSession(sessionName); 

	String probName=storeInfo.getTableVal("problemName");
   	String code=request.getParameter("codeName");
   	String machine=request.getParameter("machineName");

 	cm.setCurrentSessionProperty("Code",code);
	cm.setCurrentSessionProperty("MachineName",machine);

   	String execpath=
           parseXML.getMatchTag(code, machine,"ExecPath");
   	cm.setCurrentSessionProperty("execpath",execpath);

   	String qsubpath=
	   parseXML.getMatchTag(code, machine,"QsubPath");
        cm.setCurrentSessionProperty("qsubpath",qsubpath);

        String queueType=
	   parseXML.getMatchTag(code, machine,"QueueType");
        cm.setCurrentSessionProperty("QueueType",queueType);

   	String NumOfInParam=
	   parseXML.getNumberOfInParams(code);
        cm.setCurrentSessionProperty("NumInParams",NumOfInParam);

   	String NumOfInFiles=
	   parseXML.getNumberOfInFiles(code);
        cm.setCurrentSessionProperty("NumInFiles",NumOfInFiles);

        String NumOfOutFiles=
	   parseXML.getNumberOfOutFiles(code);
        cm.setCurrentSessionProperty("NumOutFiles",NumOfOutFiles);

        String NumOfOutParams=
	   parseXML.getNumberOfOutParams(code);
        cm.setCurrentSessionProperty("NumOutParams",NumOfOutParams);

        String iostyle=parseXML.getIOStyle(code);
        cm.setCurrentSessionProperty("IOStyle",iostyle);

        String workspace=
           parseXML.getMatchTag(code, machine,"WorkDir");
        cm.setCurrentSessionProperty("WorkDir",workspace);

	String shell=request.getParameter("shell");
	String queue=request.getParameter("queue");
	String walltime=request.getParameter("walltime");
	String NNodes=request.getParameter("NNodes");
   	String NumOfInParamTest = NumOfInParam;
   	String NumOfInFilesTest = NumOfInFiles;
   	String NumOfOutFilesTest = NumOfOutFiles;
	String NumOfOutParamsTest=NumOfOutParams;

	String[] inputpath = null;	
	String[] outputpath = null;
	String[] inputparam=null;
	String[] outputparam=null;

	String catinpath="",catoutpath="",catinparam="",catoutparam="";

	if (!NumOfInParamTest.equals("0")) {	
	   System.out.println("Numofinparamtest");
	   inputparam=request.getParameterValues("inputparam");
	   for(int i=0;i<inputparam.length;i++) catinparam+=inputparam[i]+"+";
	}
	else catinparam = "null";		

	if (!NumOfInFilesTest.equals("0")) {	
	   System.out.println("Numofinfilestest");
	   inputpath=request.getParameterValues("inputpath");
	   for(int k=0;k<inputpath.length;k++) catinpath+=inputpath[k]+"+";
	}
	else catinpath = "null";		
	

	if (!NumOfOutFilesTest.equals("0")) {
	   System.out.println("Numofoutfilestest");
	   outputpath=request.getParameterValues("outputpath");
	   for(int j=0;j<outputpath.length;j++) catoutpath+=outputpath[j]+"+";
	}
	else catoutpath = "null";

	if (!NumOfOutParamsTest.equals("0")) {
	   System.out.println("Numofoutparamtest");
	   outputparam=request.getParameterValues("outputparam");
	   for(int l=0;l<outputparam.length;l++) catoutparam+=outputparam[l]+"+";
	}
	else catoutparam = "null";

	cm.setCurrentSessionProperty("shell",shell);
	cm.setCurrentSessionProperty("queue",queue);
	cm.setCurrentSessionProperty("walltime",walltime);
	cm.setCurrentSessionProperty("NNodes",NNodes);
	cm.setCurrentSessionProperty("inputParam",catinparam);
	cm.setCurrentSessionProperty("inputFiles",catinpath);
	cm.setCurrentSessionProperty("outputFiles",catoutpath);	
	cm.setCurrentSessionProperty("outputParams",catoutparam);	
	
	//Setup the createScript bean and create the script.
	//Use a factory pattern here so that the queuing system
	//is determined by the user's selection.
	extensions.generic.createScript cjs=
		extensions.generic.scriptFactory.makeChild(cm.getCurrentSessionProperty("QueueType"),cm,userName);

	cjs.createFlagTable();
	cjs.createHeader();
	cjs.createCommands();
	cjs.writeScript();

	//Now grab the script and give the user a chance to edit it.
	String scriptString="";
	String probDir="Descriptors/users/JSPClient/"+userName+"/"+probName+"/"+sessionName;
	scriptString=getfile.fileToString(probDir+"/job.script");
%>
<html>
<head><title>Edit Generated Script</title></head>
<body bgcolor="#f2fae4" background="/GOW/images/bg1x.jpg">
<center>
<h2>Review Queue Script</h2>
</center>
The following queue script has been created for you.  You can modify 
it if you wish.  When you are finished, click the "Update Script" button to
commit your changes.
<center>
<form name=scriptString method=POST action="/GOW/Generic/PaReturnPage.jsp">
<textarea name=scriptString cols=40 rows=20>
<%= scriptString %>
</textarea>
</center>
<center>
<input type=submit name="submit" value="Update Script" >
</center>
</form>
</body>
</html>





